QGIS Application - Bug report #10621
3D esri shapefile crashes v2.3
2014-06-18 03:42 AM - Nicholas Duggan

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19024
Description

Been using 3D (ZM enabled) ESRI shapefiles in 2.2 & 2.0 with no issue. Tried to use the same files within the latest 2.3 nightly build
(15/6/2014) and it causes QGIS to force close.

History

#1 - 2014-06-18 03:47 AM - Nathan Woodrow
- Priority changed from Normal to Severe/Regression

#2 - 2014-06-18 04:15 AM - Saber Razmjooei
- File styled_3d_shp.png added

It works fine for me (no crashing) in QGIS master (1532048) but strange rendering. The polygons are not styled as polylines with no color fill.

#3 - 2014-06-18 05:10 AM - Giovanni Manghi

no crash here on latest master (2.3.0-23 is old, now there is 2.3.0-116) on both Linux and Windows, but | can confirm that symbology is not right.

#4 - 2014-06-18 05:57 AM - Saber Razmjooei
- File node_duplicated 3d_shp.png added

I had another look and it is actually not a problem with symbology. The problem is due the way vertices are drawn/connected. If you move the nodes, you
can see the style is correct but nodes at vertices are duplicated.

#5 - 2014-06-18 06:08 AM - Giovanni Manghi
- Status changed from Open to Feedback

Saber Razmjooei wrote:

I had another look and it is actually not a problem with symbology. The problem is due the way vertices are drawn/connected. If you move the
nodes, you can see the style is correct but nodes at vertices are duplicated.

then it seems that in master this is no (longer) an issue. closing?
#6 - 2014-06-18 06:16 AM - Saber Razmjooei
- Status changed from Feedback to Closed

| can confirm 2.3 and 2.2 handle 3D shapefiles in the same way (not completely right).

@Nicholas, if you want proper rendering/drawing of 3D shapefiles, you need to open a feature request probably.

Files

3D.zip 410 KB 2014-06-18 Nicholas Duggan

styled_3d_shp.png 27.6 KB 2014-06-18 Saber Razmjooei

node_duplicated_3d_shp.png 36.8 KB 2014-06-18 Saber Razmjooei
